SCM_ANTISPAM_HISTORY = 5
SCM_ANTISPAM_BLOCKSPAMMERS = true

local tokens = {
	"29games",
	"365ig",
	"4wowgold",
	"5uneed",
	"agamego",
	"testmounts",
	"buyw0wgame",
	"brothergame",
	"diymmogame",
	"fastgolds",
	"gamenoble",
	"gmwork",
	"gmw0rk",
	"goldwithyou",
	"gold4guild",
	"hugold",
	"igs36",
	"igm365",
	"igamebuy",
	"igdollarc",
	"igtuc",
	"itembay",
	"itemratec",
	"happygold",
	"hellogamegold",
	"hellogolds",
	"helpugame",
	"k4gold",
	"mmo4store",
	"mm4ss",
	"mmoinn",
	"mmoyy",
	"ogchannel",
	"ogmarket",
	"gs365",
	"ogs4u",
	"okstar2008",
	"peons4",
	"p3ons4",
	"pkpkg",
	"player123",
	"playsupplier",
	"ssegames",
	"storeingame",
	"speedpanda",
	"tbowow",
	"wow7gold",
	"wowcoming",
	"wowck",
	"woweuropecn",
	"wowep",
	"wowgamelife",
	"wowforever",
	"wowfreebuy",
	"wowgold",
	"wowpanning",
	"wowpfs",
	"wowspa",
	"wowstar2008",
	"wowsupplier",
	"wowseller",
	"zlywy",
	"gmauthorization",
	"woweuropegold",
	"1225game",
	"plsalec",
}
local spammers = {}
local spam = {}

local origs = {}
local function hook(self, text, ...)
	if spam[text] then return end
	table.insert(spam, text)
	spam[text] = 1
	if #spam > SCM_ANTISPAM_HISTORY then
		spam[table.remove(spam, 1)] = nil
	end
	return origs[self](self, text, ...)
end
for i = 1, NUM_CHAT_WINDOWS do
	local c = _G["ChatFrame"..i]
	origs[c] = c.AddMessage
	c.AddMessage = hook
end

local function filter(self, event, msg, sender)
	if spammers[sender] then return true end
	local spamString = msg:gsub("%p", ""):gsub("%s", ""):trim():lower()
	for i, v in next, tokens do
		if spamString:find(v) then
			spammers[sender] = true
			return true
		end
	end
end

if SCM_ANTISPAM_BLOCKSPAMMERS then
	ChatFrame_AddMessageEventFilter("CHAT_MSG_CHANNEL", filter)
	ChatFrame_AddMessageEventFilter("CHAT_MSG_SAY", filter)
	ChatFrame_AddMessageEventFilter("CHAT_MSG_YELL", filter)
	ChatFrame_AddMessageEventFilter("CHAT_MSG_WHISPER", filter)
end

