scmEditbox = {}

local function toggle(...)
	for i = 1, select("#", ...) do
		local r = select(i, ...)
		if r and r.GetObjectType and r:GetObjectType() == "Texture" then
			if r:IsShown() then
				r:Hide()
			else
				r:Show()
			end
		end
	end
end

for i = 1, NUM_CHAT_WINDOWS do
	local eb = _G["ChatFrame"..i.."EditBox"]
	eb:ClearAllPoints()
	eb:SetPoint("BOTTOMLEFT",  "ChatFrame"..i, "TOPLEFT",  -5, 0)
	eb:SetPoint("BOTTOMRIGHT", "ChatFrame"..i, "TOPRIGHT", 5, 0)
	toggle(eb:GetRegions())
	eb:SetAltArrowKeyMode(false)
	eb:EnableMouse(false)
end

CHAT_FRAME_FADE_OUT_TIME = 0.5
CHAT_TAB_HIDE_DELAY = 0
CHAT_FRAME_TAB_SELECTED_MOUSEOVER_ALPHA = 1
CHAT_FRAME_TAB_SELECTED_NOMOUSE_ALPHA = 0
CHAT_FRAME_TAB_ALERTING_MOUSEOVER_ALPHA = 1
CHAT_FRAME_TAB_ALERTING_NOMOUSE_ALPHA = 0
CHAT_FRAME_TAB_NORMAL_MOUSEOVER_ALPHA = 1
CHAT_FRAME_TAB_NORMAL_NOMOUSE_ALPHA = 0

for i = 1, NUM_CHAT_WINDOWS do
	local cf = _G["ChatFrame" .. i]
	cf:SetFrameStrata("LOW")
	local eb = _G[cf:GetName() .. "EditBox"]
	eb:SetFrameStrata("LOW")
end

hooksecurefunc("ChatFrame_OnLoad", function(self)
	self:SetFrameStrata("LOW")
	local eb = _G[self:GetName() .. "EditBox"]
	eb:SetFrameStrata("LOW")
end)

