scmTellTarget = {}

local function tellTarget(str)
	if not (UnitExists("target")
		and UnitName("target")
		and UnitIsPlayer("target")
		and GetDefaultLanguage("player") == GetDefaultLanguage("target"))
	or not (str and str:len() > 0) then
		return
	end

	local name, realm = UnitName("target")
	if realm and realm ~= GetRealmName() then
		name = string.format("%s-%s", name, realm)
	end

	SendChatMessage(str, "WHISPER", nil, name)
end

function scmTellTarget:Enable()
	SlashCmdList["TELLTARGET"] = tellTarget
	SLASH_TELLTARGET1 = "/tt"
end

function scmTellTarget:Disable()
	SlashCmdList["TELLTARGET"] = nil
	SLASH_TELLTARGET1 = nil
end

scmTellTarget:Enable()

